%define name    gcfilms 
%define version 5.3
%define release	%mkrel 1
%define iconname %{name}.png

%define section	Multimedia/Video
%define title	Gcfilms

Summary:	Movie collection manager 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL: 		https://gna.org/projects/gcfilms/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	gtk2
BuildArch:	noarch 

%description
GCfilms is an application that can be used to manage a movie collection. 
A user can stock all the movies he has with some associated informations 
(where it is located, movie category, already seen or not, a rating,...). 
Then one can retrieve some movies matching filtering criteria (specific 
values for movies information).

This application has a plugin system to be able to find movies specific
information (running time, actors, director,...) from Internet websites. 
The user only enters the movie title and GCfilms automatically fills in 
these fields.
 

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n %{name}
 
%build

# this doesn't work..
#./install --text --prefix=$RPM_BUILD_ROOT/usr 

%{__mkdir_p} %{buildroot}%{_prefix}
%{__install} -d %{buildroot}%{_bindir}
%{__install} bin/gcfilms %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_libdir}
%{__cp} -a lib/gcfilms %{buildroot}%{_libdir}
%{__install} -d %{buildroot}%{_datadir}
%{__cp} -a share/gcfilms %{buildroot}%{_datadir}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert share/gcfilms/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert share/gcfilms/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname} 
convert share/gcfilms/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{name}" \
	icon="%{iconname}" \
	title="%{title}" \
	longtitle="Movie collection manager" \
	needs="x11" \
	section="%section"
EOF
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root) 
%doc README CHANGELOG
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 

%changelog 
* Mon Jul 25 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.3-1mdk
- 5.3

* Mon Jun 27 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.2-1mdk
- 5.2

* Mon Jun 20 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.1-1mdk
- 5.1
- use mkrel

* Thu May 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.0-1mdk
- new release 5.0
- change group and section name
- install procedure from fedora package

* Sat Apr 09 2005 Charles A Edwards <eslrahc@mandrake.org> 4.8-1mdk
- 4.8

* Tue Mar 15 2005 Charles A Edwards <eslrahc@mandrake.org> 4.6a-1mdk
- initial Mdk release
